package com.example.appmobile;

import androidx.appcompat.app.AlertDialog;
import androidx.appcompat.app.AppCompatActivity;

import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;

import com.example.appmobile.models.User;

public class MainActivity extends AppCompatActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);;
    }

    public void onEnter(View v){
        String Email = ((EditText) findViewById(R.id.logEmail)).getText().toString(),
        Password = ((EditText) findViewById(R.id.logPassword)).getText().toString();

        if(Email.equals(User.email) && Password.equals(User.password)){
            Intent intent = new Intent(this, TasksActivity.class);
            startActivity(intent);
        }
        else{
            AlertDialog.Builder builder = new AlertDialog.Builder(this);
            builder.setTitle("ERROR!!")
                    .setMessage("Неверная почта или пароль " + Email + " " + User.email + " " + Password + " " + User.password)
                    .setCancelable(true)
                    .setPositiveButton("Ok", (dialog, which) -> {
                        dialog.cancel();
                    });

            AlertDialog dialog = builder.create();
            dialog.show();
        }
    }

    public void toRegistration(View v){
        Intent intent = new Intent(this, RegistrationActivity.class);
        startActivity(intent);
    }
}