package com.example.appmobile;

import android.content.Intent;
import android.os.Bundle;

import androidx.annotation.Nullable;
import androidx.fragment.app.Fragment;

import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ImageButton;

public class NavigationFragment extends Fragment {

    @Override
    public View onCreateView(LayoutInflater inflater, ViewGroup container,
                             Bundle savedInstanceState) {

        View v = inflater.inflate(R.layout.fragment_navigation, container, false);

        ImageButton todo = v.findViewById(R.id.btn_todo);
        todo.setOnClickListener(view -> {
            Intent intent = new Intent(getActivity(), TasksActivity.class);
            startActivity(intent);
        });

        ImageButton user = v.findViewById(R.id.btn_user);
        user.setOnClickListener(view -> {
            Intent intent = new Intent(getActivity(), ProfileActivity.class);
            startActivity(intent);
        });

        ImageButton ticks = v.findViewById(R.id.btn_idea);
        ticks.setOnClickListener(view -> {
            Intent intent = new Intent(getActivity(), TicksActivity.class);
            startActivity(intent);
        });

        return v;
    }
}