package com.example.appmobile;

import androidx.appcompat.app.AlertDialog;
import androidx.appcompat.app.AppCompatActivity;

import android.content.DialogInterface;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.TextView;
import android.widget.Toast;

import com.example.appmobile.models.User;

import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.IOException;

public class RegistrationActivity extends AppCompatActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_registration);
    }

    public void onReg(View v){
        TextView name = findViewById(R.id.regName);
        TextView email = findViewById(R.id.regEmail);
        TextView password = findViewById(R.id.regPassword);
        TextView password2 = findViewById(R.id.regConfirmPassword);

        if(!password.getText().toString().equals(password2.getText().toString())){
            //Toast.makeText(this, "Пароли не одинаковые", Toast.LENGTH_LONG).show();
            AlertDialog.Builder builder = new AlertDialog.Builder(this);
            builder.setTitle("ERROR!!")
                    .setMessage("Пароли не одинаковые")
                    .setCancelable(true)
                    .setPositiveButton("Ok", (dialog, which) -> {
                        dialog.cancel();
                    });

            AlertDialog dialog = builder.create();
            dialog.show();
            return;
        }

        User.name = name.getText().toString();
        User.email = email.getText().toString();
        User.password = password.getText().toString();

        Intent intent = new Intent(this, MainActivity.class);
        startActivity(intent);
    }

    public void onCancel(View v){
        Intent intent = new Intent(this, MainActivity.class);
        startActivity(intent);
    }
}